#!/bin/sh
if test $# -ne 2 ; then
	echo "$0: need 2 parameters, from- and to." >&2
	exit 1
fi
sed -e 's,[{}@],@&,g'                \
	-e 's,/\*\(@.*\)\*/,\1,g'           \
	-e 's,/\*  *,/* @r{,g' -e 's,  *\*/,} */,'  \
	-e 's/\(@[a-z][a-z]*\)@{\([^}]*\)@}/\1{\2}/'\
	$1 | expand -t 2 > $2.new
if test $? -ne 0 ; then	
	exit 1
fi
mv -f $2.new $2
