#! /usr/bin/perl -w

$in_tab=0;
open(I,"<doc/mauscon.txt") || die "cannot open doc/mauscon.txt: $!";
@doc=<I>;
while (<>) {
	if (/^cl_var_t Tab.* =/) {
		$in_tab=1;
		next
	}
	next if (!$in_tab);
	if (/^};/) { $in_tab=0; next; }
	if (/{\s*"([^,]+)"\s*,[^,]+,\s*([^,]+)\s*,/) {
		$var=$1;
		$typ=$2;
		print "Variable: $var, Typ $typ\n";
		# look for a perfect match
		@l=grep(/Variable:\s\S+\s$var\W/,@doc);
		if ($#l!=-1) {
			print "  nicely documented\n";
			next;
		}

		# look for an alias
		@l=grep(/Alias:.*\W$var\W/,@doc);
		if ($#l!=-1) {
			print "  nicely documented\n";
			next;
		}

		# 
		@l=grep(/\W$var\W/,@doc);
		if ($#l==-1) {
			if ($typ eq "CL_DUMMY") { 
				print "  undocumented, but dummy: OK\n";
			} else {
				print "  XXX totally undocumented\n";
			}
			next;
		}

		print "  XXX found references, but no definition:\n";
		foreach $i (@l) {
			print "    $i";
		}
	}
}
